import java.awt.*;
import java.awt.event.*;

/**
 * 
 * A game in which a "jumping button" in a window has
 * to be caught with the mouse.
 *
 * Author: Henning Bordihn
 * Datum:  02.05.2002
 *
 */
public class CatchTheMouse implements ActionListener, Runnable {

	int x,y;
	Frame frame;
	Button button = new Button("Catch me!");
	Thread t;

	public CatchTheMouse() {
		frame = new Frame("The Catch-The-Mouse Game");
		frame.setSize(500,500);
		frame.setLocation(100,75);
		frame.setBackground(Color.white);
		frame.setLayout(null);
		button.setSize(70,35);
		button.addActionListener(this);
		frame.add(button);
		frame.setVisible(true);
		t = new Thread(this);
		t.start();
	}

	public void locateNew() {
		x = (int) (425.0 * Math.random()); 
		y = (int) (460.0 * Math.random());
	}

	public void run() {
		while(true) {
			locateNew();
			button.setLocation(x,y);
			try {
				Thread.sleep((long) (1000.0 * (Math.random() + 0.2)));
			}
			catch(InterruptedException e) {
				e.getMessage();
			}
		}
	}

	public void actionPerformed(ActionEvent klick) {
		System.exit(0);
	}

}
