class Distributor implements Runnable {

	Store store;

	Distributor(Store store) {
		this.store = store;
	}

	void pack() {
		try {
			Thread.sleep(500 + (long) (Math.random()*800));
		}       
		catch (InterruptedException e) {}
	}


	void deliver() {
		int amount = store.stock;
		pack();
		++amount;
		store.stock = amount;
	}

	public void run() {
		for(int i=1; i<=10; i++) {
			pack();
			deliver();
		}
	}
		
}
