import java.applet.*;
import java.awt.*;

/**
 *  
 * An applet in which a rectangle flashes. Demonstrates threads.
 *
 *  Author: Henning Bordihn
 *  Datum : 30.05.2001
 *
 */
public class Flasher extends Applet implements Runnable {

	Thread t;
	int i = 0;

	public void init() {
		setBackground(Color.white);
	}

	public void start() {
		t = new Thread(this);
		t.start();
	}


	public void run() {
		do {
			i++;
			repaint();
			try {
				Thread.sleep(1000);
			}
			catch(InterruptedException e) {
			}
		} while (i > 0);
	}

	public void paint(Graphics g) {
		if (i%2 == 1)
			g.setColor(Color.red);
		else
			g.setColor(Color.white);
		g.fillRect(50,50,10,10);
	}
}
