import java.applet.*;
import java.awt.*;

/**
 * An applat which reads strings from the console
 * and prints them parallel in the applet window.
 * 
 * Author: Henning Bordihn
 * Datum: 02.06.2001
 */
public class IOThread extends Applet implements Runnable {

	InThread reader;
	Thread output;
	int i;

	public void init() {
		setBackground(Color.white);
		reader = new InThread();
		output = new Thread(this);
		reader.start();
		output.start();
	}

	public void paint(Graphics g) {
		g.setFont(new Font("Serif",Font.PLAIN,20));
		int p=i%2;
		if (reader.text == null) {
			g.drawString("Hallo",30,30+30*p);
		}
		else {
			g.drawString(reader.text,30,30+30*p);
		}
	}

	public void run() {
		for(i=0; i>=0; i++) {
			try{
				Thread.sleep(2000);
			}
			catch(InterruptedException e) {}
			repaint();
		}
	}

}
